Tutoriales

¿Por qué ves el error: Snap not found?

Snap es el nuevo sistema de paquete universal de Ubuntu que permite instalar software de forma fácil y segura en todas las distribuciones de Linux compatibles con Snap.

Si bien los paquetes Snap son una excelente forma de instalar aplicaciones en distribuciones Linux, puedes encontrar algunos errores algunas veces.

Pero recientemente uno de los lectores encontró otro error de Snap al intentar instalar VLC 3.0. Puedes encontrar el mismo error con otras aplicaciones como Spotify o Skype. Tratemos de solucionarlo.

 

Antes de hacer cualquier otra cosa, asegúrate de haber instalado snapd en tu sistema. Puedes instalarlo usando el comando de instalación de paquete estándar de tu distribución de Linux.

Para distribuciones basadas en Debian y Ubuntu, usa el siguiente comando:

sudo apt install snapd

 

Una vez que te hayas asegurado de tener snapd, sigamos adelante. Intenta ver si tu sistema realmente encuentra la aplicación Snap en cuestión.

Por ejemplo, si estás tratando de instalar VLC utilizando Snap y tu sistema no puede encontrar la aplicación, intenta listar todos los paquetes de Snap disponibles con ‘v‘ o ‘vl‘, etc.

Puedes utilizar la opción de búsqueda del comando Snap de la siguiente manera:

snap find <paquete>

 

¡Espera un segundo! ¿Que acabo de decir? ¿Es posible? Si no está disponible para tu sistema, ¿cómo pueden otras personas instalarlo?

La respuesta está en si estás usando un sistema operativo de 32 o 64 bits. Probablemente ya sepas que la compatibilidad con los sistemas de 32 bits se está desvaneciendo. Las aplicaciones más nuevas a menudo se desarrollan solo para sistemas de 64 bits.

Si la aplicación Snap en cuestión solo está disponible para sistemas de 64 bits y estás utilizando un sistema de 32 bits, tu distribución de Linux no verá los paquetes. Por lo tanto, verás el error de paquete no encontrado al intentar instalarlo con el comando Snap.

En otras palabras, no puedes instalar esa aplicación usando Snap. Tal vez puedas buscar la forma habitual de instalar esa aplicación si está disponible en formato de 32 bits.

2. El comando Snap find

Podría suceder que la aplicación aparezca en la salida del comando snap find. Pero entonces, ¿cuál podría ser el problema al instalar el paquete?

Esto depende de si el paquete Snap está disponible en versión clásica. Los paquetes Snap por diseño son seguros y no interactúan con el sistema host. Algunas aplicaciones necesitan utilizar el sistema host y, por lo tanto, se introdujo un “modo clásico” en el paquete de Snap.

 

 

Si la aplicación está disponible en modo clásico, debes especificar que Snap necesita instalarse en modo clásico. Esto se hace usando el indicador -classic en el comando.

sudo snap install <paquete> --classic

Fuente

(Visitada 1 veces, 1 visitas hoy )
Comparte
Tags

Acerca del autor

maslinux

maslinux

GNU/Linux, UNIX, software libre y código abierto.
Blogger, vegetariano y entusiasta de los animales.

1
Responder

avatar
Imágenes
 
 
 
Auido y vídeo
 
 
 
Otros archivos
 
 
 
1 Hilo de comentarios
0 Hilo de respuestas
0 Seguidores
 
Comentario más reaccionado
Hilo de comentarios más populares
1 Autores de comentarios
gAutores de comentarios más recientes
  Suscribirse  
+ nuevos + antiguos + votados
Notificarme de
g
Invitado
g

util

El Iglú

El Iglú

Categorías

Count per Day

  • 7996Lecturas hoy:
  • 20676Lecturas ayer:
  • 1534324Total visitantes 2018:
  • 4107Visitas hoy:
  • 11316Ayer:
  • 8,462Visitantes por día:
  • 49Visitantes conectados:

Archivos